Loading...
Searching...
No Matches
itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet > Class Template Reference

`#include <itkCorrespondingPointsEuclideanDistancePointMetric.h>`

## Detailed Description

template<class TFixedPointSet, class TMovingPointSet>
class itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >

Computes the Euclidean distance between a moving point-set and a fixed point-set. Correspondence is needed.

Definition at line 39 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

Inheritance diagram for itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CoordRepType = typename OutputPointType::CoordRepType
using | DerivativeValueType
using | FixedPointSetConstPointer
using | FixedPointSetType
using | InputPointType
using | MovingPointSetConstPointer
using | MovingPointSetType
using | NonZeroJacobianIndicesType
using | OutputPointType
using | PointDataIterator
using | Pointer = SmartPointer<Self>
using | PointIterator
using | Self = CorrespondingPointsEuclideanDistancePointMetric
using | Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>
using | TransformJacobianType
using | TransformParametersType
using | TransformPointer
using | TransformType
using | VnlVectorType = vnl_vector<CoordRepType>
Public Types inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
using | ConstPointer = SmartPointer<const Self>
using | CoordinateRepresentationType = Superclass::ParametersValueType
using | DerivativeValueType = typename DerivativeType::ValueType
using | FixedImageMaskConstPointer = typename FixedImageMaskType::ConstPointer
using | FixedImageMaskPointer = typename FixedImageMaskType::Pointer
using | FixedImageMaskType = ImageMaskSpatialObject<Self::FixedPointSetDimension>
using | FixedPointSetConstPointer = typename FixedPointSetType::ConstPointer
using | FixedPointSetPixelType = typename FixedPointSetType::PixelType
using | FixedPointSetType = TFixedPointSet
using | InputPointType = typename TransformType::InputPointType
using | MovingImageMaskConstPointer = typename MovingImageMaskType::ConstPointer
using | MovingImageMaskPointer = typename MovingImageMaskType::Pointer
using | MovingImageMaskType = ImageMaskSpatialObject<Self::MovingPointSetDimension>
using | MovingPointSetConstPointer = typename MovingPointSetType::ConstPointer
using | MovingPointSetPixelType = typename MovingPointSetType::PixelType
using | MovingPointSetType = TMovingPointSet
using | NonZeroJacobianIndicesType = typename TransformType::NonZeroJacobianIndicesType
using | OutputPointType = typename TransformType::OutputPointType
using | PointDataIterator = typename FixedPointSetType::PointDataContainer::ConstIterator
using | Pointer = SmartPointer<Self>
using | PointIterator = typename FixedPointSetType::PointsContainer::ConstIterator
using | Self = SingleValuedPointSetToPointSetMetric
using | Superclass = SingleValuedCostFunction
using | TransformJacobianType = typename TransformType::JacobianType
using | TransformParametersType = typename TransformType::ParametersType
using | TransformPointer = typename TransformType::Pointer
using | TransformType

## Public Member Functions

virtual const char * | GetClassName () const
void | GetDerivative (const TransformParametersType &parameters, DerivativeType &Derivative) const override
MeasureType | GetValue (const TransformParametersType &parameters) const override
void | GetValueAndDerivative (const TransformParametersType &parameters, MeasureType &Value, DerivativeType &Derivative) const override
| ITK_DISALLOW_COPY_AND_MOVE (CorrespondingPointsEuclideanDistancePointMetric)
Public Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageMaskType * | GetFixedImageMask ()
virtual const FixedPointSetType * | GetFixedPointSet ()
virtual const MovingImageMaskType * | GetMovingImageMask ()
virtual const MovingPointSetType * | GetMovingPointSet ()
unsigned int | GetNumberOfParameters () const override
virtual const TransformType * | GetTransform ()
virtual const bool & | GetUseMetricSingleThreaded ()
virtual void | Initialize ()
| ITK_DISALLOW_COPY_AND_MOVE (SingleValuedPointSetToPointSetMetric)
| itkStaticConstMacro (FixedPointSetDimension, unsigned int, TFixedPointSet::PointDimension)
| itkStaticConstMacro (MovingPointSetDimension, unsigned int, TMovingPointSet::PointDimension)
virtual void | SetFixedImageMask (const FixedImageMaskType *_arg)
virtual void | SetFixedPointSet (const FixedPointSetType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *_arg)
virtual void | SetMovingPointSet (const MovingPointSetType *_arg)
virtual void | SetTransform (TransformType *_arg)
void | SetTransformParameters (const ParametersType &parameters) const
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| CorrespondingPointsEuclideanDistancePointMetric ()=default
| ~CorrespondingPointsEuclideanDistancePointMetric () override=default
Protected Member Functions inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
void | PrintSelf (std::ostream &os, Indent indent) const override
| SingleValuedPointSetToPointSetMetric ()=default
| ~SingleValuedPointSetToPointSetMetric () override=default

## Additional Inherited Members

Protected Attributes inherited from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >
FixedImageMaskConstPointer | m_FixedImageMask { nullptr }
FixedPointSetConstPointer | m_FixedPointSet { nullptr }
MovingImageMaskConstPointer | m_MovingImageMask { nullptr }
MovingPointSetConstPointer | m_MovingPointSet { nullptr }
unsigned int | m_NumberOfPointsCounted { 0 }
TransformPointer | m_Transform { nullptr }
bool | m_UseMetricSingleThreaded { true }

## Member Typedef Documentation

## ConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## CoordRepType

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::CoordRepType = typename OutputPointType::CoordRepType

Definition at line 76 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## DerivativeValueType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::DerivativeValueType

Definition at line 111 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedPointSetConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedPointSetConstPointer

Definition at line 81 of file itkSingleValuedPointSetToPointSetMetric.h.

## FixedPointSetType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::FixedPointSetType

Typedefs.

Definition at line 79 of file itkSingleValuedPointSetToPointSetMetric.h.

## InputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::InputPointType

Definition at line 96 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingPointSetConstPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingPointSetConstPointer

Definition at line 84 of file itkSingleValuedPointSetToPointSetMetric.h.

## MovingPointSetType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::MovingPointSetType

Definition at line 82 of file itkSingleValuedPointSetToPointSetMetric.h.

## NonZeroJacobianIndicesType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::NonZeroJacobianIndicesType

Typedefs for support of sparse Jacobians and compact support of transformations.

Definition at line 115 of file itkSingleValuedPointSetToPointSetMetric.h.

## OutputPointType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::OutputPointType

Definition at line 97 of file itkSingleValuedPointSetToPointSetMetric.h.

## PointDataIterator

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::PointDataIterator

Definition at line 86 of file itkSingleValuedPointSetToPointSetMetric.h.

## Pointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## PointIterator

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::PointIterator

Definition at line 85 of file itkSingleValuedPointSetToPointSetMetric.h.

## Self

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::Self = CorrespondingPointsEuclideanDistancePointMetric

Standard class typedefs.

Definition at line 46 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## Superclass

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::Superclass = SingleValuedPointSetToPointSetMetric<TFixedPointSet, TMovingPointSet>

Definition at line 47 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## TransformJacobianType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformJacobianType

Definition at line 99 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformParametersType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformParametersType

Definition at line 98 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformPointer

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformPointer

Definition at line 95 of file itkSingleValuedPointSetToPointSetMetric.h.

## TransformType

template<class TFixedPointSet, class TMovingPointSet>

using itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >::TransformType

More typedefs.

Definition at line 93 of file itkSingleValuedPointSetToPointSetMetric.h.

## VnlVectorType

template<class TFixedPointSet, class TMovingPointSet>

using itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::VnlVectorType = vnl_vector<CoordRepType>

Definition at line 77 of file itkCorrespondingPointsEuclideanDistancePointMetric.h.

## Constructor & Destructor Documentation

## CorrespondingPointsEuclideanDistancePointMetric()

template<class TFixedPointSet, class TMovingPointSet>

itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::CorrespondingPointsEuclideanDistancePointMetric | ( |  | ) |

protected default

## ~CorrespondingPointsEuclideanDistancePointMetric()

template<class TFixedPointSet, class TMovingPointSet>

itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::~CorrespondingPointsEuclideanDistancePointMetric | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TFixedPointSet, class TMovingPointSet>

virtual const char * itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::SingleValuedPointSetToPointSetMetric< TFixedPointSet, TMovingPointSet >.

Reimplemented in elastix::CorrespondingPointsEuclideanDistanceMetric< TElastix >.

## GetDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::GetDerivative | ( | const TransformParametersType & | parameters,
|  | DerivativeType & | Derivative ) const

override

Get the derivatives of the match measure.

## GetValue()

template<class TFixedPointSet, class TMovingPointSet>

MeasureType itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::GetValue | ( | const TransformParametersType & | parameters | ) | const

override

Get the value for single valued optimizers.

## GetValueAndDerivative()

template<class TFixedPointSet, class TMovingPointSet>

void itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::GetValueAndDerivative | ( | const TransformParametersType & | parameters,
|  | MeasureType & | Value,
|  | DerivativeType & | Derivative ) const

override

Get value and derivatives for multiple valued optimizers.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedPointSet, class TMovingPointSet>

itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::ITK_DISALLOW_COPY_AND_MOVE | ( | CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet > |  | ) |

## New()

template<class TFixedPointSet, class TMovingPointSet>

Pointer itk::CorrespondingPointsEuclideanDistancePointMetric< TFixedPointSet, TMovingPointSet >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |